########################################################################
# Copyright (C) 1990
# FourGen Software Technologies, Inc. Edmonds, Washington USA
# Use, modification, duplication, and/or distribution of this
# software is limited to the terms of the software agreement.
# Sccsid:  @(#)  .../ar.4gm/p_recurr.4gs/globals.4gl  1.6  Delta: 1/4/91
########################################################################

database standard

globals
    define
        m_rinvce record like strinvce.*,
        progid   char(17),          # program identification
        rpt record                  # record for the report
            file_type like strinvce.file_type,
            ref_no like strinvce.ref_no,
            debit_credit like strinvcd.debit_credit,
            line_no like strinvcd.line_no,
            due_date like strinvce.due_date,
            disc_date like strinvce.disc_date,
            po_no like strinvce.po_no,
            po_date like strinvce.po_date,
            co_name like stxcntrc.co_name,
            recurr_ref like strinvce.recurr_ref,
            inv_date like strinvce.inv_date,
            cust_code like strinvce.cust_code,
            bus_name like strcustr.bus_name,
            inv_no like strinvce.inv_no,
            inv_desc like strinvce.inv_desc,
            acct_no like strinvcd.acct_no,
            department like strinvcd.department,
            description like strinvcd.description,
            amount like strinvcd.amount,
            misc_acct_no like strinvce.misc_acct_no,
            misc_department like strinvce.misc_department,
            misc_desc char(30),
            misc_amount like strinvce.misc_amount,
            misc_debit_credit like strinvce.misc_debit_credit,
            tax_acct_no like strinvce.tax_acct_no,
            tax_department like strinvce.tax_department,
            tax_desc char(30),
            tax_amount like strinvce.tax_amount,
            tax_debit_credit like strinvce.tax_debit_credit,
            frght_acct_no like strinvce.frght_acct_no,
            frght_department like strinvce.frght_department,
            frght_desc char(30),
            frght_amount like strinvce.frght_amount,
            frght_debit_credit like strinvce.frght_debit_credit,
            ar_acct_no like strinvce.ar_acct_no,
            ar_department like strinvce.ar_department,
            ar_desc char(30),
            ar_amount like strinvce.ar_amount,
            ar_debit_credit like strinvce.ar_debit_credit,
            db_amount decimal(11,2),
            cr_amount decimal(11,2)
        end record,
        curs record                 # record like the cursor
            file_type like strinvce.file_type,
            ref_no like strinvce.ref_no,
            debit_credit like strinvcd.debit_credit,
            line_no like strinvcd.line_no,
            due_date like strinvce.due_date,
            disc_date like strinvce.disc_date,
            po_no like strinvce.po_no,
            po_date like strinvce.po_date,
            doc_no like strinvce.doc_no,
            inv_date like strinvce.inv_date,
            cust_code like strinvce.cust_code,
            inv_no like strinvce.inv_no,
            inv_desc like strinvce.inv_desc,
            acct_no like strinvcd.acct_no,
            department like strinvcd.department,
            description like strinvcd.description,
            amount like strinvcd.amount,
            misc_acct_no like strinvce.misc_acct_no,
            misc_department like strinvce.misc_department,
            misc_amount like strinvce.misc_amount,
            misc_debit_credit like strinvce.misc_debit_credit,
            tax_acct_no like strinvce.tax_acct_no,
            tax_department like strinvce.tax_department,
            tax_amount like strinvce.tax_amount,
            tax_debit_credit like strinvce.tax_debit_credit,
            frght_acct_no like strinvce.frght_acct_no,
            frght_department like strinvce.frght_department,
            frght_amount like strinvce.frght_amount,
            frght_debit_credit like strinvce.frght_debit_credit,
            ar_acct_no like strinvce.ar_acct_no,
            ar_department like strinvce.ar_department,
            ar_amount like strinvce.ar_amount,
            ar_debit_credit like strinvce.ar_debit_credit,
            recurr_ref like strinvce.recurr_ref
        end record,
        curs_next record            # next row of cursor
            file_type like strinvce.file_type,
            ref_no like strinvce.ref_no,
            debit_credit like strinvcd.debit_credit,
            line_no like strinvcd.line_no,
            due_date like strinvce.due_date,
            disc_date like strinvce.disc_date,
            po_no like strinvce.po_no,
            po_date like strinvce.po_date,
            doc_no like strinvce.doc_no,
            inv_date like strinvce.inv_date,
            cust_code like strinvce.cust_code,
            inv_no like strinvce.inv_no,
            inv_desc like strinvce.inv_desc,
            acct_no like strinvcd.acct_no,
            department like strinvcd.department,
            description like strinvcd.description,
            amount like strinvcd.amount,
            misc_acct_no like strinvce.misc_acct_no,
            misc_department like strinvce.misc_department,
            misc_amount like strinvce.misc_amount,
            misc_debit_credit like strinvce.misc_debit_credit,
            tax_acct_no like strinvce.tax_acct_no,
            tax_department like strinvce.tax_department,
            tax_amount like strinvce.tax_amount,
            tax_debit_credit like strinvce.tax_debit_credit,
            frght_acct_no like strinvce.frght_acct_no,
            frght_department like strinvce.frght_department,
            frght_amount like strinvce.frght_amount,
            frght_debit_credit like strinvce.frght_debit_credit,
            ar_acct_no like strinvce.ar_acct_no,
            ar_department like strinvce.ar_department,
            ar_amount like strinvce.ar_amount,
            ar_debit_credit like strinvce.ar_debit_credit,
            recurr_ref like strinvce.recurr_ref
        end record,
        ct record                   # control record (don't change)
            prcname      char(35),  # process name (message on upper left)
            rtmargn      char(35),  # message on upper right margin
            prc_only     char(1),   # process only? (no report) "y" or "n"
            allow_int    char(1),   # allow interrupts? "y" or "n"
            quiet        smallint,  # display every "quiet" rows
            destin       char(150), # "screen","printer","pipe", or "filename"
            sel_join     char(200), # join portion of selection stmt
            sel_filter   char(200), # filter portion of selection stmt
            sel_order    char(200), # order by clause for above
            sel_stmt     char(1024),# select statement for report cursor
            num_rows     integer,   # number of rows in the cursor to process
            cur_row      integer    # current row being processed
        end record
end globals
