########################################################################
# Copyright (C) 1990
# FourGen Software Technologies, Inc. Edmonds, Washington USA
# Use, modification, duplication, and/or distribution of this
# software is limited to the terms of the software agreement.
# Sccsid:  @(#)  .../ar.4gm/p_fichgr.4gs/globals.4gl  1.6  Delta: 1/4/91
########################################################################

database standard

globals
    define
        progid   char(17),          # program identification
        m_rcntrc record like strcntrc.*, #record like the ar control table
        rpt record                  # record for the report
            co_name like stxcntrc.co_name,
            fc_date date,
            fc_type char(12),
            days_past smallint,
            fc_pct smallfloat,
            min_chrg like stropend.balance,
            fc_on_fc char(1),
            cust_code like stropend.cust_code,
            bus_name like strcustr.bus_name,
            doc_no like stropend.doc_no,
            inv_no like stropend.inv_no,
            sel_date date,
            balance like stropend.balance,
            past_bal like stropend.balance,
            fc_bal like stropend.balance,
            date_type char(1)
        end record,
        curs record                 # record like the cursor
            cust_code like stropend.cust_code,
            bus_name like strcustr.bus_name,
            doc_no like stropend.doc_no,
            inv_no like stropend.inv_no,
            balance like stropend.balance,
            inv_date like stropend.inv_date,
            due_date like stropend.due_date,
            ar_acct_no like stropend.ar_acct_no,
            ar_department like stropend.ar_department
        end record,
        curs_next record            # next row of cursor
            cust_code like stropend.cust_code,
            bus_name like strcustr.bus_name,
            doc_no like stropend.doc_no,
            inv_no like stropend.inv_no,
            balance like stropend.balance,
            inv_date like stropend.inv_date,
            due_date like stropend.due_date,
            ar_acct_no like stropend.ar_acct_no,
            ar_department like stropend.ar_department
        end record,
        ct record                   # control record (don't change)
            prcname      char(35),  # process name (message on upper left)
            rtmargn      char(35),  # message on upper right margin
            prc_only     char(1),   # process only? (no report) "y" or "n"
            allow_int    char(1),   # allow interrupts? "y" or "n"
            quiet        smallint,  # display every "quiet" rows
            destin       char(150), # "screen","printer","pipe", or "filename"
            sel_join     char(200), # join portion of selection stmt
            sel_filter   char(200), # filter portion of selection stmt
            sel_order    char(200), # order by clause for above
            sel_stmt     char(1024),# select statement for report cursor
            num_rows     integer,   # number of rows in the cursor to process
            cur_row      integer    # current row being processed
        end record
end globals

